CREATE TABLE IF NOT EXISTS shedlock (
    name       varchar(64)   NOT NULL,
    lock_until timestamptz(3) NOT NULL,
    locked_at  timestamptz(3) NOT NULL,
    locked_by  varchar(255)  NOT NULL,
    CONSTRAINT shedlock_pkey PRIMARY KEY (name)
);